[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| RGBGradientMagnitudeFunctor Class Template Reference |
--- | --- | ---

`#include "vigra/combineimages.hxx"`

## Public Types
typedef RGBValue< ValueType > | first_argument_type
typedef RGBValue< ValueType > | second_argument_type
typedef NumericTraits< ValueType >::RealPromote | result_type
typedef ValueType | value_type
## Public Methods
result_type | operator() (first_argument_type const &gx, second_argument_type const &gy) const

## Detailed Description

### template<class ValueType>
class vigra::RGBGradientMagnitudeFunctor< ValueType >

Calculate the gradient magnitude from RGB arguments. Can be used in conjunction with gradientBasedTransform().

Traits defined:

`FunctorTraits::isBinaryFunctor` are true (`VigraTrueType`)``

## Member Typedef Documentation

typedef RGBValue<ValueType> first_argument_type

| the functor's first argument type

typedef NumericTraits<ValueType>::RealPromote result_type

| the functor's result type

typedef RGBValue<ValueType> second_argument_type

| the functor's second argument type

typedef ValueType value_type

| Deprecated: use first_argument_type, second_argument_type, result_type

## Member Function Documentation

result_type operator() | ( | first_argument_type const & | gx,
|  | second_argument_type const & | gy
| ) | const`[inline]`

| Calculate the gradient magnitude form given RGB components. The function returns where is defined by `gx.red()*gx.red() + gy.red()*gy.red()`. `ValueType` (the RGB's component type) must support addition, multiplication, abd `sqrt()`.

The documentation for this class was generated from the following file:

- vigra/combineimages.hxx

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.3.2 (27 Jan 2005)